Skip to content
Letterhead Letterhead Letterhead Help Center
Admin Tools

Reactivate and restart an automation

POST
/api/v3/automations/{automationUniqueId}/actions/reactivate-and-restart
curl --request POST \
--url https://api.tryletterhead.com/api/v3/automations/example/actions/reactivate-and-restart \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form api=true

This endpoint restarts the specified automation, in the event that as part of editorial — someone didn’t republish a change — the automation disabled itself. Yep - this is a pretty specific use-case. The unpublished template will be published and then subsequently available to future automation use - and then the automation itself will be re-enabled.

Our v3 endpoints require a company-level API key.

automationUniqueId
required
string

The automation’s unique identifier.

Media type multipart/form-data
object
api
required

When set to true, this endpoint will accept authorization with your API Key.

string
Example
true

202 - Reactivated and restarted

Media type application/json
object
items
string
nullable
message
string
total
integer
Example
{
"items": null,
"message": "Automation reactivated and restarted successfully",
"total": 0
}

Still can’t find what you need? Contact support.